package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.ResourceCatelog;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.*;

import java.util.List;

/**
 * @author WangYao
 * @date 2018/6/3 11:39
 * @description 目录管理业务接口
 */
public interface IResourceCatelogMgrService {

    List<TreeModel> queryTreeData(String resourceCatelogType);
    List<ResourceCatelog> getAllResourceCatelog(String resourceCatelogType);
    ResultState<ResourceCatelog> addOrEdit(ResourceCatelogDataModel inputModel);
    ResultState<Long> delete(long id);

}
